Bug 5880 - C4/Koha.pm : adding two functions GetAutorisedValueByCode and GetKohaImageurlFromAuthorisedValues
Summary: C4/Koha.pm : adding two functions GetAutorisedValueByCode and GetKohaImageurl...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-16 03:05 UTC by Chris Cormack
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (2.19 KB, patch)
2011-03-16 03:07 UTC, Chris Cormack
Details | Diff | Splinter Review
Follow up patch (1.89 KB, patch)
2011-03-17 11:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Improved unit tests (2.42 KB, patch)
2011-03-17 13:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Follow-up patch to correct error in pod (2.12 KB, patch)
2011-03-22 15:25 UTC, Colin Campbell
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-16 03:05:36 UTC

    
Comment 1 Chris Cormack 2011-03-16 03:07:07 UTC
Created attachment 3318 [details] [review]
Proposed Patch
Comment 2 Julian Maurice 2011-03-16 10:37:32 UTC
Tested on master and works as expected.
Comment 3 Chris Cormack 2011-03-17 01:45:47 UTC
Pushed, I do not there are no tests for these new subroutines, you would win much respect and joy and kudos and the people would praise your name, if you had unit tests for any new functions you write :)

Please test and mark resolved
Comment 4 Colin Campbell 2011-03-17 11:00:49 UTC
Pod says GetAuthorisedValueByCode returns a hashref code returns a scalar. 
Thats why we need tests
Comment 5 Paul Poulain 2011-03-17 11:14:24 UTC
well, we need test, but test can't check pod is lying ;-)
(julian is writing a test anyway)
Comment 6 Julian Maurice 2011-03-17 11:32:29 UTC
Created attachment 3336 [details] [review]
Follow up patch

Unit tests are there !
Comment 7 Julian Maurice 2011-03-17 13:32:35 UTC
Created attachment 3340 [details] [review]
Improved unit tests
Comment 8 Chris Cormack 2011-03-17 20:13:28 UTC
Follow up patches with unit tests pushed. Kudos to Biblibre and Julian!
Comment 9 Colin Campbell 2011-03-22 15:25:39 UTC
Created attachment 3399 [details] [review]
Follow-up patch to correct error in pod
Comment 10 Colin Campbell 2011-03-22 15:26:41 UTC
Corrected the error in the documentation in a supplementary patch
Comment 11 Chris Cormack 2011-03-24 09:08:31 UTC
Follow up patch pushed, Thanks Colin
Comment 12 MJ Ray (software.coop) 2011-04-07 10:50:43 UTC
This bug is mentioned in:
Bug 5880 : C4/Koha.pm : adding two functions	GetAutorisedValueByCode and GetKohaImageurlFromAuthorisedValues http://lists.koha-community.org/pipermail/koha-patches/2011-March/014075.html
Bug 5880 : C4/Koha.pm : adding	two functions GetAutorisedValueByCode and	GetKohaImageurlFromAuthorisedValues http://lists.koha-community.org/pipermail/koha-patches/2011-March/014080.html
Follow up for bug 5880: Added unit tests for	the two new subroutines http://lists.koha-community.org/pipermail/koha-patches/2011-March/014106.html
Follow up for bug 5880: Improved unit test http://lists.koha-community.org/pipermail/koha-patches/2011-March/014111.html
Bug 5880: Correct misleading pod in new	subroutine http://lists.koha-community.org/pipermail/koha-patches/2011-March/014189.html